Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.domain.variable
Class SolutionPropertyPlanningValueRangeDescriptor

    java.lang.Object
      org.drools.planner.core.domain.variable.AbstractPlanningValueRangeDescriptor
          org.drools.planner.core.domain.variable.SolutionPropertyPlanningValueRangeDescriptor

All Implemented Interfaces:
  PlanningValueRangeDescriptor

    public class SolutionPropertyPlanningValueRangeDescriptor

extends AbstractPlanningValueRangeDescriptor

Field Summary

Fields inherited from class org.drools.planner.core.domain.variable.AbstractPlanningValueRangeDescriptor
`excludeUninitializedPlanningEntity, variableDescriptor`

Constructor Summary
`SolutionPropertyPlanningValueRangeDescriptor(PlanningVariableDescriptor variableDescriptor, ValueRange valueRangeAnnotation)`

Method Summary
`Collection<?>` | `extractAllValues(Solution solution)`
`Collection<?>` | `extractValues(Solution solution, Object planningEntity)`
`long` | `getProblemScale(Solution solution, Object planningEntity)`
`boolean` | `isValuesCacheable()`

Methods inherited from class org.drools.planner.core.domain.variable.AbstractPlanningValueRangeDescriptor
`applyFiltering, processExcludeUninitializedPlanningEntity`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SolutionPropertyPlanningValueRangeDescriptor

    public SolutionPropertyPlanningValueRangeDescriptor(PlanningVariableDescriptor variableDescriptor,
                                                        ValueRange valueRangeAnnotation)

Method Detail

### extractAllValues

    public Collection<?> extractAllValues(Solution solution)

### extractValues

    public Collection<?> extractValues(Solution solution,
                                       Object planningEntity)

### getProblemScale

    public long getProblemScale(Solution solution,
                                Object planningEntity)

### isValuesCacheable

    public boolean isValuesCacheable()

  Specified by:
    `isValuesCacheable` in interface `PlanningValueRangeDescriptor`
  Overrides:
    `isValuesCacheable` in class `AbstractPlanningValueRangeDescriptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.